package com.sheep.gamegroup.presenter;

import com.sheep.gamegroup.model.entity.BaseMessage;
import com.sheep.gamegroup.model.entity.MoreDataEntity;

import java.util.List;

/**
 * Created by ljy on 2018/3/19.
 */

public interface SmallSheepContract {

    interface Persenter{

        void getUserInfo();


        void  getAwardDetail();

        void  homeList();

        void  slideshow(Object o);
        void  bulletin(Object o);
    }

    interface View {

        void updateData2View(Object o);
        void failData2View(Object o);
        void  showMore( List<MoreDataEntity> loginEty);

        void failSlideshow(BaseMessage baseMessage);
        void successSlideshow(BaseMessage baseMessage);
        void failbulletin(BaseMessage baseMessage);
        void successbulletin(BaseMessage baseMessage);

        void successhomeList(BaseMessage baseMessage);
        void failhomeList(BaseMessage baseMessage);

    }
}
